package com.ssyf.module.custom.service;

import com.github.pagehelper.PageInfo;
import com.ssyf.common.core.domain.query.PageQuery;
import com.ssyf.module.custom.domain.entity.CustomData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ssyf.module.custom.domain.query.CustomDataQuery;

import java.util.List;
import java.util.Map;

/**
* @author admin
* @description 针对表【custom_data】的数据库操作Service
* @createDate 2024-08-13 09:29:55
*/
public interface CustomDataService extends IService<CustomData> {

    /**
     * 清理指定字段的数据
     * @param fieldName
     */
    void cleanDataOfFieldName(String fieldName);


    Map<String ,Object> addOne(String tableUid ,Map<String ,Object> map);


    CustomData addOne(String tableUid ,CustomDataQuery query);

    void updateByUid(String uid, CustomDataQuery query);

    void updateByUid(String uid, Map<String ,Object> query);

    void removeByUid(String uid);

    CustomData getByUid(String uid);

    PageInfo<CustomData> getPage(String tableUid, CustomDataQuery query);

    List<CustomData> getAll(String tableUid, CustomDataQuery query);

    PageInfo<Map<String ,Object>> getPage(String tableUid, Map<String ,Object> query , PageQuery pageQuery);

    List<Map<String ,Object>> getAll(String tableUid, Map<String ,Object> query);
}
